$mlnx = hiera('mellanox-rhel-osp')

if $mlnx['use_mlnx_neo'] {

  include neutron::params
  $server_service = $neutron::params::server_service
  $neo_ip = $mlnx['mlnx_neo_ip']
  $neo_user = $mlnx['mlnx_neo_user']
  $neo_password = $mlnx['mlnx_neo_password']
  $restart_service = $mlnx['restart_service']

  service { 'lldpd':
    ensure => running,
    enable     => true,
    hasstatus  => true,
    hasrestart => true
  }

  if ( 'controller' in hiera('bootstrap_nodeid', 'not_found')) {
    $mechanism_drivers = join(hiera('neutron::plugins::ml2::mechanism_drivers'),',')
    neutron_plugin_ml2 {
      'ml2/mechanism_drivers': value => "sdnmechdriver,${mechanism_drivers}";
    }


    neutron_plugin_ml2 {
      'sdn/url':                  value => "http://${neo_ip}/neo/";
      'sdn/domain':               value => "cloudx";
      'sdn/username':             value => "${neo_user}";
      'sdn/password':             value => "${neo_password}";
    }~>
    exec { 'restart_neutron_server':
      command     => "$restart_service $server_service",
      refreshonly => true,
      timeout     => 1500
    }


  }
}
